<?php

namespace Teknisa\EST\Modules\Relatorios\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;

class Est31700EtiquetadeProdutoController {
    
   public function __construct($environment, ReportService $reportService) {
        $this->environment   = $environment;
        $this->reportService = $reportService;
    }
    
    public function generateReport(DTO\Request\DataSet $request, DTO\Response $response){
        $dataSet = $request->getDataSet();
        $parameterRow = "";
        $rows = $dataSet->getRows();

        $reportName = 'EST31700';
        $filial     = $rows[0]["CDFILIAL"];
        $lancamento = $rows[0]["NRLANCAMENTO"];
        $idtplancto = $rows[0]["IDTPLANCTO"];
        
        $parameterRow = array("P_CDFILIAL"   => $filial,
                              "P_NRLANCTO"   => $lancamento,
                              "P_IDTPLANCTO" => $idtplancto);
        $itens = '';
        
        foreach($rows as $row){
            $itens .= '_'.$row["SEQUENCIA"];
        };
        
        $itens.='_';
        $parameterRow["P_NRSEQITEM"] = $itens;

        
       $nrorg = $this->environment->getNrOrgTrab(); 
       $parameterRow['P_NRORG'] = $nrorg;
       
       $birtURL = $this->reportService->createRemoteReport('BIRT', $reportName, $parameterRow);
       $response->addDataset(new DataSet('URL',array($birtURL)));
    
    }
    
}